%define lib_major 0
%define lib_name %mklibname %{name}- 1 %{lib_major}  
%define develname %mklibname %{name}- 1 -d
%define libfam %mklibname fam 0

Summary: Library providing the FAM File Alteration Monitor API
Name: gamin
Version: 0.1.10
Release: 6
License: LGPLv2+
Group: Monitoring
URL: http://www.gnome.org/~veillard/gamin/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/gamin-%{version}.tar.bz2
Patch0:	gamin-0.1.10_G_CONST_RETURN.patch
BuildRequires: glib2-devel
BuildRequires: python-devel
Requires: %{lib_name} = %{version}-%{release}

%description
This C library provides an API and ABI compatible file alteration
monitor mechanism compatible with FAM but not dependent on a system wide
daemon.

%package -n python-%{name}
Summary: Python bindings for the gamin library
Group: Development/Python

%description -n python-%{name}
This package contains a module that allow monitoring of
files and directories from the Python language based on the support
of the gamin package.

%package -n %{lib_name}
Summary: Dynamic library for Gamin
Group: System/Libraries

%description -n %{lib_name}
This C library provides an API and ABI compatible file alteration
monitor mechanism compatible with FAM but not dependent on a system wide
daemon.

%package -n %{develname}
Summary: Libraries, includes, etc. to embed the Gamin library
Group: Development/C
Requires: %{lib_name} = %{version}
Provides: %{name}-devel = %{version}
Provides: fam-devel
Obsoletes: %mklibname %{name}- 1 0 -d

%description -n %{develname}
This C library provides an API and ABI compatible file alteration
monitor mechanism compatible with FAM but not dependent on a system wide
daemon.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-static \
	--enable-inotify

%make

%install
rm -fr %{buildroot}
%makeinstall_std
rm -f %buildroot%_libdir/python%pyver/site-packages/_gamin.a

%files
%doc AUTHORS ChangeLog README Copyright TODO
%{_libdir}/gam_server

%files -n %{lib_name}
%{_libdir}/lib*.so.%{lib_major}*

%files -n %{develname}
%doc AUTHORS ChangeLog README Copyright TODO
%{_libdir}/lib*.so
%{_libdir}/*a
%{_includedir}/fam.h
%{_libdir}/pkgconfig/gamin.pc

%files -n python-%{name}
%doc python/tests/*.py
%doc doc/python.html
%py_platsitedir/*gamin*



%changelog
* Tue Nov 29 2011 Matthew Dawkins <mattydaw@mandriva.org> 0.1.10-6
+ Revision: 735295
- fixed another type for libname to lib_name
- fixed typo of major to lib_major
- added p0 to fix glib2.0 2.31.0 build
- rebuild
- trying to move bigger cirular dep
- dropped major from devel pkg
- cleaned up spec
- removed old provides, obsoletes
- removed old ldconfig scriptlets
- removed defattr
- disabled static build
- removed mkrel & BuildRoot

* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 0.1.10-5
+ Revision: 664808
- mass rebuild

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.10-4mdv2011.0
+ Revision: 520112
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.1.10-3mdv2010.0
+ Revision: 424551
- rebuild

* Fri Dec 26 2008 Adam Williamson <awilliamson@mandriva.org> 0.1.10-2mdv2009.1
+ Revision: 319532
- rebuild with python 2.6

* Mon Nov 24 2008 Götz Waschk <waschk@mandriva.org> 0.1.10-1mdv2009.1
+ Revision: 306345
- update license
- new version
- drop patches
- new source URL

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 0.1.9-6mdv2009.0
+ Revision: 264522
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Jun 03 2008 Frederic Crozat <fcrozat@mandriva.com> 0.1.9-5mdv2009.0
+ Revision: 214703
- bump release
- Update patch3 with upstream fix

* Mon May 26 2008 Frederic Crozat <fcrozat@mandriva.com> 0.1.9-4mdv2009.0
+ Revision: 211378
- Patch1 (SVN): use less polling (GNOME bug #476938)
- Patch2 (SVN): fix filesystem leak (GNOME bug #403158)
- Patch3 (Fedora): fix missing struct ucred in glibc headers

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 0.1.9-3mdv2008.1
+ Revision: 150090
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Tue Sep 11 2007 Frederic Crozat <fcrozat@mandriva.com> 0.1.9-2mdv2008.0
+ Revision: 84380
- Patch0 (SVN): fix ABI/API compatibility with fam

* Fri Jul 27 2007 Frederic Crozat <fcrozat@mandriva.com> 0.1.9-1mdv2008.0
+ Revision: 56411
- Release 0.1.9
- Remove patches 0, 1, merged upstream


* Wed Mar 14 2007 Frederic Crozat <fcrozat@mandriva.com> 0.1.8-2mdv2007.1
+ Revision: 143644
- Patch1 (CVS): fix poll to be conditionnal

* Thu Dec 28 2006 Frederic Crozat <fcrozat@mandriva.com> 0.1.8-1mdv2007.1
+ Revision: 102345
- Release 0.1.8
  Remove patch0 (merged upstream)
  Patch0 (CVS): fix NFS monitoring

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 0.1.7-5mdv2007.1
+ Revision: 88198
- update file list

* Tue Oct 31 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1.7-4mdv2007.1
+ Revision: 74667
- bunzip patches
- Import gamin

* Sat Sep 02 2006 Frederic Crozat <fcrozat@mandriva.com> 0.1.7-3mdv2007.0
- Update patch0 with two other fixes

* Fri Aug 18 2006 Frederic Crozat <fcrozat@mandriva.com> 0.1.7-2mdv2007.0
- Remove patch0, no longer needed
- Patch0 (CVS): various bug fixes

* Fri Oct 28 2005 Frederic Crozat <fcrozat@mandriva.com> 0.1.7-1mdk
- Release 0.1.7
- Remove patch 1 (merged upstream)

* Sat Sep 10 2005 Frederic Crozat <fcrozat@mandriva.com> 0.1.5-3mdk 
- Remove patch2, it seems to cause crashes with 0.1.5

* Fri Sep 09 2005 Frederic Crozat <fcrozat@mandriva.com> 0.1.5-2mdk 
- Patch1 (CVS): allow to disable inotify at runtime
- Patch2 (CVS): fix memleak in inotify mode

* Thu Aug 11 2005 Frederic Crozat <fcrozat@mandriva.com> 0.1.5-1mdk 
- Release 0.1.5

* Fri Jul 29 2005 Frederic Crozat <fcrozat@mandriva.com> 0.1.1-2mdk 
- Enable inotify
- Patch0: use local header for inotify

* Thu Jun 23 2005 Gtz Waschk <waschk@mandriva.org> 0.1.1-1mdk
- drop patches
- New release 0.1.1

* Fri May 20 2005 Frederic Crozat <fcrozat@mandriva.com> 0.1.0-2mdk 
- Patch0 (CVS): stop sending event after client unregisters
- Patch1: fix crash in poll only mode

* Fri May 13 2005 Frederic Crozat <fcrozat@mandriva.com> 0.1.0-1mdk 
- Release 0.1.0

* Tue Mar 15 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.26-1mdk 
- Release 0.0.26
- Remove patch0 (merged upstream)

* Tue Mar 15 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.25-4mdk 
- Update patch0 with upstream version

* Mon Mar 14 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.25-3mdk 
- Patch0 (Drean Brettle): fix crash when unmonitoring subdir with monitored
  files/dir (Mdk bug #14548)

* Fri Mar 04 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.25-2mdk 
- Disable inotify, it is not stable enough

* Tue Mar 01 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.25-1mdk 
- Release 0.0.25

* Tue Feb 22 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.24-2mdk 
- Remove patch0 (no longer needed)
- Rebuild for inotify 0.18-rml-16 aka 0.19

* Fri Feb 18 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.24-1mdk 
- Release 0.0.24
- Update patch0

* Mon Feb 14 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.0.23-2mdk
- fix lib64 provides

* Thu Feb 10 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.23-1mdk 
- Release 0.0.23

* Tue Feb 01 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.22-1mdk 
- Release 0.0.22
- Patch0: interface with inotify 0.17 (not 0.18 yet)

* Fri Jan 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.20-2mdk 
- Fix devel package to provide libfam-devel

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.20-1mdk 
- Release 0.0.20
- Remove patches 0 and 1 (merged upstream)

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.19-3mdk 
- Patch1: fix crash and implement poll only mode

* Tue Dec 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.19-2mdk 
- Patch0 (CVS): fix one crash when tree and root are null

* Fri Dec 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.19-1mdk
- New release 0.0.19

* Fri Dec 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.18-1mdk
- New release 0.0.18

* Sun Nov 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.0.17-5mdk
- added the changes fcrozat made in his 2mdk release that got lost 
  because of my mistake, also remove my 2mdk changelog entry, thanks 
  to blino for the insight.

* Sun Nov 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.0.17-4mdk
- fix deps

* Thu Nov 25 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.0.17-3mdk
- revert to 1mdk

* Thu Nov 18 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.17-2mdk
- Provides fam-devel too

* Wed Nov 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.17-1mdk 
- Initial mdk package

* Sat Jul 17 2004 Daniel Veillard <veillard@redhat.com>
- upstream release 0.0.2

